osgUtil::IncrementalCompileOperation::CompileSet Class Reference

`#include <IncrementalCompileOperation>`

Inheritance diagram for osgUtil::IncrementalCompileOperation::CompileSet:

## Public Types

typedef std::map< osg::GraphicsContext *, CompileList > | CompileMap

## Public Member Functions

| CompileSet ()
| CompileSet (osg::Node *subgraphToCompile)
| CompileSet (osg::Group *attachmentPoint, osg::Node *subgraphToCompile)
void | buildCompileMap (ContextSet &contexts, StateToCompile &stateToCompile)
void | buildCompileMap (ContextSet &contexts, GLObjectsVisitor::Mode mode=GLObjectsVisitor::COMPILE_DISPLAY_LISTS|GLObjectsVisitor::COMPILE_STATE_ATTRIBUTES)
bool | compile (CompileInfo &compileInfo)
bool | compiled () const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Public Attributes

OpenThreads::Atomic | _numberCompileListsToCompile
osg::observer_ptr< osg::Group > | _attachmentPoint
osg::ref_ptr< osg::Node > | _subgraphToCompile
osg::ref_ptr< CompileCompletedCallback > | _compileCompletedCallback
CompileMap | _compileMap
osg::ref_ptr< osg::Object > | _markerObject

## Protected Member Functions

virtual | ~CompileSet ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Member Typedef Documentation

## CompileMap

typedef std::map<osg::GraphicsContext*, CompileList > osgUtil::IncrementalCompileOperation::CompileSet::CompileMap

## Constructor & Destructor Documentation

## CompileSet() [1/3]

osgUtil::IncrementalCompileOperation::CompileSet::CompileSet | ( |  | ) |

inline

## CompileSet() [2/3]

osgUtil::IncrementalCompileOperation::CompileSet::CompileSet | ( | osg::Node * | subgraphToCompile | ) |

inline

References _subgraphToCompile.

## CompileSet() [3/3]

osgUtil::IncrementalCompileOperation::CompileSet::CompileSet | ( | osg::Group * | attachmentPoint,
|  | osg::Node * | subgraphToCompile )

inline

References _attachmentPoint, and _subgraphToCompile.

## ~CompileSet()

virtual osgUtil::IncrementalCompileOperation::CompileSet::~CompileSet | ( |  | ) |

inline protected virtual

## Member Function Documentation

## buildCompileMap() [1/2]

void osgUtil::IncrementalCompileOperation::CompileSet::buildCompileMap | ( | ContextSet & | contexts,
|  | GLObjectsVisitor::Mode | mode = GLObjectsVisitor::COMPILE_DISPLAY_LISTS|GLObjectsVisitor::COMPILE_STATE_ATTRIBUTES )

References osgUtil::GLObjectsVisitor::COMPILE_DISPLAY_LISTS, and osgUtil::GLObjectsVisitor::COMPILE_STATE_ATTRIBUTES.

## buildCompileMap() [2/2]

void osgUtil::IncrementalCompileOperation::CompileSet::buildCompileMap | ( | ContextSet & | contexts,
|  | StateToCompile & | stateToCompile )

## compile()

bool osgUtil::IncrementalCompileOperation::CompileSet::compile | ( | CompileInfo & | compileInfo | ) |

## compiled()

bool osgUtil::IncrementalCompileOperation::CompileSet::compiled | ( |  | ) | const

inline

References _numberCompileListsToCompile.

## Member Data Documentation

## _attachmentPoint

osg::observer_ptr<osg::Group> osgUtil::IncrementalCompileOperation::CompileSet::_attachmentPoint

Referenced by CompileSet().

## _compileCompletedCallback

osg::ref_ptr<CompileCompletedCallback> osgUtil::IncrementalCompileOperation::CompileSet::_compileCompletedCallback

## _compileMap

CompileMap osgUtil::IncrementalCompileOperation::CompileSet::_compileMap

## _markerObject

osg::ref_ptr<osg::Object> osgUtil::IncrementalCompileOperation::CompileSet::_markerObject

## _numberCompileListsToCompile

OpenThreads::Atomic osgUtil::IncrementalCompileOperation::CompileSet::_numberCompileListsToCompile

Referenced by compiled().

## _subgraphToCompile

osg::ref_ptr<osg::Node> osgUtil::IncrementalCompileOperation::CompileSet::_subgraphToCompile

Referenced by CompileSet(), and CompileSet().

The documentation for this class was generated from the following file:

- IncrementalCompileOperation